import { Node } from '@tiptap/core';
export interface classNodeOptions {
    HTMLAttributes: Record<string, any>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        node: {
            /**
             * Set a classNode
             */
            setClassNode: (attributes: {
                classNames: string[];
                nodeName: string;
                level: number;
            }) => ReturnType;
            /**
             * Toggle a classNode
             */
            toggleClassNode: (attributes: {
                classNames: string[];
                nodeName: string;
                level: number;
            }) => ReturnType;
        };
    }
}
export declare const classNode: Node<classNodeOptions, any>;
